#!/usr/bin/perl

use strict;
use warnings;

use FDN::Images::PDF;
use FDN::Images::Jpeg;

sub exit_help() {
	print STDERR "Usage: $0 <file> [<file>...]\n";
	exit 1;
}


my $target_dir = '/tmp/'.$$;
if ( -d $target_dir ) {
	die "Mon repertoire de travail existe, je ne touche pas";
}
mkdir $target_dir;

my $count = 0;
for my $file ( @ARGV ) {
	if ( ! -f $file ) {
		print STDERR "File not found: $file\n";
		next;
	}
	if ( ! -r $file ) {
		print STDERR "Permission denied $file\n";
		next;
	}
	$count++;
	my $new = "file-$count.pdf";
	`cp "$file" $target_dir/$new`;
	chdir $target_dir;

	my $list = explode_pdf_file($new);
	`rm -f $new`;
	for my $image ( @$list ) {
		print "Je prends $image\n";
		resize_jpeg($image, "tn-$image", "210x297");
	}
}

rmdir $target_dir;

